@echo off
rem  CALL this batch file from AUTOEXEC 
rem  to run SwathStar/AirStar 2000/AirStar M3 from system bootup

rem the STAR environment variable may be already defined
if "%STAR%"=="ASM3" goto GOTSTAR
if "%STAR%"=="Swath" goto GOTSTAR
if "%STAR%"=="AS2000" goto GOTSTAR
if "%STAR%"=="Forest" goto GOTSTAR

rem Set STAR to "Swath" for SwathStar, "AS2000" for AirStar 2000
rem "ASM3" for AirStar M3
rem	* Default to AirStar M3 *
set STAR=ASM3
rem Give priority to SwathStar if it is installed
if exist C:\Satloc\SwStar3\Exec.bat set STAR=Swath | goto GOTSTAR
if exist C:\Satloc\ASM3\Exec.bat set STAR=ASM3 | goto GOTSTAR

:GOTSTAR
rem  Define the SLBOOT flag to tell the program that we came from DOS.
rem  (this is used to configure the exit selection buttons)
rem  If the flag does not exist when the program is run,
rem  it is assumed that we shelled out to EXEC.BAT from Windows.
set SLBOOT=1

if "%STAR%"=="ASM3" goto ASM3_RUN
if "%STAR%"=="AS2000" goto A2K_RUN
if "%STAR%"=="Forest" goto FS_RUN

rem ----- run SwathStar
C:
cd \Satloc\SwStar3
rem  now call the normal batch file to run the program.
call EXEC.BAT
goto END_RUN

:ASM3_RUN
rem ----- run AirStar M3
C:
cd \Satloc\ASM3
rem  now call the normal batch file to run the program.
call EXEC.BAT
goto END_RUN

:A2K_RUN
rem ----- run AirStar 2000
C:
cd \Satloc\AS2000
rem  now call the normal batch file to run the program.
call EXEC.BAT
goto END_RUN

:FS_RUN
rem ----- run ForestStar
C:
cd \Satloc\ForStar3
rem  now call the normal batch file to run the program.
call EXEC.BAT
goto END_RUN

:END_RUN
rem  get rid of the flag before running Windows
set SLBOOT=

C:
cd \

rem program exit status:
rem	0 = exit to DOS
rem	1 = exit and run Windows
rem	else error
rem
if errorlevel 2 goto ERROR
if errorlevel 1 goto RUNWINDOWS
goto DOSEXIT

:RUNWINDOWS
echo --- Running Windows ---
C:\WINDOWS\WIN

rem we shouldn't ever get here -- but if we do ...
echo !!! ERROR running Windows !!!
goto DOSEXIT

:ERROR
echo !!! Invalid errorlevel %errorlevel% !!!
goto DOSEXIT

:DOSEXIT
echo --- Returning to DOS ---

rem display the user prompt
call PRMPT.BAT

